#include "mypasswordsafe.h"

#include <qvariant.h>
#include <qimage.h>
#include <qpixmap.h>

#include "aboutdlg.h"
#include "preferencesdlg.h"
#include "safelistview.hpp"
#include "src/safelistview.hpp"
#include "../src/mypasswordsafe.ui.h"
/*
 *  Constructs a MyPasswordSafe as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 */
MyPasswordSafe::MyPasswordSafe(QWidget* parent, const char* name, Qt::WindowFlags fl)
    : Q3MainWindow(parent, name, fl)
{
    setupUi(this);

    (void)statusBar();
    init();
}

/*
 *  Destroys the object and frees any allocated resources
 */
MyPasswordSafe::~MyPasswordSafe()
{
    destroy();
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MyPasswordSafe::languageChange()
{
    retranslateUi(this);
}

